Quark is stating “If you plan to use QuarkXPress 2015 on El Capitan immediately, be aware that due to some significant changes to the operating system APIs you will likely experience crashes or other unwanted behavior.” They will be releasing a compatibility update for QuarkXPress 2015 in late October.

>>UPDATE: Quark has released an El Capitan update.

Also, Quark has also announced “we do not intend to provide support for running any previous version QuarkXPress on El Capitan prior to QuarkXPress 2015”. This means users holding on to QuarkXPress 6-10 should avoid OS X 10.11.